Skip to content
POST/{organizationId}/{mandateId}/booking/resources/offers/{offerId}/services

Update offer services

Updates all services for a specific offer for a given mandate

Required permissions:

  • mandate.read

  • resourceOffer.edit

  • supplementaryService.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
offerIdstringrequired

Request Body required

Content-Type: application/json

maxItems: 20

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/resources/offers/{offerId}/services
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/resources/offers/{offerId}/services' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "services": [
    {
      "serviceId": "string"
    }
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}